"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestError = void 0;
/**
 * The `RequestError` object is thrown when a runtime `request` error occurs.
 *
 * @public
 */
class RequestError extends Error {
    /**
     * Creates a new `RequestError` object.
     *
     * @param message - The error message.
     * @param response - The response from the request that triggered the error.
     *
     * @public
     */
    constructor(message, response) {
        super(message);
        this.message = message;
        this.response = response;
    }
}
exports.RequestError = RequestError;
//# sourceMappingURL=request-error.js.map